import React from 'react'
import PropTypes from 'prop-types'
import RouteTile from './RouteTile'
import { buildUrl } from '../helpers'
import styled from 'styled-components'

const Div = styled.div`
  background-color: #fff;
  margin: 1em;
  padding: 1em;
  border: 1px solid #ccc;
`

const OutputPanel = ({stops}) => (
  <Div>
    <RouteTile title="Complete Route" url={buildUrl(stops)} stops={stops} />
  </Div>
)

OutputPanel.propTypes = {
  stops: PropTypes.arrayOf(PropTypes.string).isRequired
}

export default OutputPanel
